PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
[Th] Xgl + compiz
Autor Wiadomość
52aqir 


Pomógł: 18 razy
Dołączył: 16 Sie 2006
Posty: 161
Skąd: Kraków
Wysłany: 18 Lipiec 2007, 20:27   

ADI-mistrzu napisał/a:

A teraz mam jeszcze śmieszniej, poprostu samo z siebie akceleracja przestała mi działać =D
Kod:

glxinfo
name of display: :0.0
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
display: :0  screen: 0
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
...

przestala, bo xgl zabiera dla siebie akceleracje i wlasnie dlatego xgl nie jest 'jol' ;) trzeba poczekac az ATI bedzie miec sterowniki ze wsparciem dla aiglx, lub opensourceowe sterowniki beda oblsugiwac nowsze karty luuuuub gdzies czytalem, ze amd ma udostepnic na zasadach OS sterowniki do ati... narazie wystarczy zeby choc jedno z tych 3 zrobili i bedzie milo ;)
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 18 Lipiec 2007, 22:01   

Ale ja mam x1600 Radka, ja się nie doczekam =D. A jeszcze dziś mi działał beryl super, tylko teraz przestał nie wiem czemu =(.
Kumpel ma zresztą ten sam log (z tym verbose) a chodzi na AIGLX i ma grafe i810.
 
 
 
52aqir 


Pomógł: 18 razy
Dołączył: 16 Sie 2006
Posty: 161
Skąd: Kraków
Wysłany: 18 Lipiec 2007, 22:14   

ADI-mistrzu napisał/a:
Ale ja mam x1600 Radka, ja się nie doczekam =D. A jeszcze dziś mi działał beryl super, tylko teraz przestał nie wiem czemu =(.
Kumpel ma zresztą ten sam log (z tym verbose) a chodzi na AIGLX i ma grafe i810.


a to chyba wiem - nie doczytalem calego komunikatu ;) nie moze dri zaladowac czy cos mialem to samo jak usilowalem ostatnio na radeonie x1100 uruchomic aiglx :P zainstalowalem kernel-dri i to chyba pomoglo, w kazdym razie bledy juz byly inne ;)
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 18 Lipiec 2007, 22:42   

Zaraz jeszcze pokombinuje.
A wiesz może jak naprawić ten błąd z czciąkami co wywala ? Na pońcu mojego postu jest. Wydaje mi się ze coś źle mam i18n skonfigurowane. Tak wygląda:
Kod:

SUPPORTED_LOCALES=pl_PL
LANG=pl_PL
LC_ALL=pl_PL
LINGUAS=pl_PL
SYSFONT=lat2u-16
UNIMAP=lat2u
SYSFONTACM=iso02

SUPPORTED_LOCALES="pl_PL/ISO-8859-2 pl_PL.UTF-8/UTF-8 en_GB/ISO-8859-1 en_US/ISO-8859-1"



I teraz jak prubuje ruszyc berylka tak mi sie sypcze:
Kod:

Detected xserver                                : XGL

Checking Display :0.0 ...

Checking for XComposite extension               : passed (v0.4)
Checking for XDamage extension                  : passed
Checking for RandR extension                    : passed
Checking for XSync extension                    : passed

XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 142 requests (140 known processed) with 0 events remaining.
trying '/root/.xcompmgrrc' as configfile


finished parsing the config file




--------------------------------------


Chyba wiem, po wpisaniu LIBGL_DEBUG=verbose fglrxinfo pokazało w tym problem:
Kod:

...
libGL error: XF86DRIQueryDirectRenderingCapable failed



Wydaje mi się że za to odpowiada pakiet xorg-xserver-xgl-libGL, dobrze kombinuje ?
Nie mam go zainstalowanego i mam z tym problem, bo mój xgl jest z cvs i nie wiem skąd wziąć tam tego libGL. Jako tako speca go tam niema, a jeśli się coś dopisuje przy budowie to ja nie wiem co w takim razie =).
Jak to z tym jest ?

Jak lookałem w googlasach, to tam coś jest o tym błędzie, tyle że tam urzywają komend niedziałających na PLD =].
Np.
Kod:

emerge -v /usr/portage/x11-base/xorg-server/xorg-server-1.1.1-r4.ebuild


Ona chyba coś przebudowuje ale nie jestem pewien.
 
 
 
52aqir 


Pomógł: 18 razy
Dołączył: 16 Sie 2006
Posty: 161
Skąd: Kraków
Wysłany: 19 Lipiec 2007, 10:37   

ADI-mistrzu napisał/a:
Zaraz jeszcze pokombinuje.
Chyba wiem, po wpisaniu LIBGL_DEBUG=verbose fglrxinfo pokazało w tym problem:
Kod:

...
libGL error: XF86DRIQueryDirectRenderingCapable failed



Wydaje mi się że za to odpowiada pakiet xorg-xserver-xgl-libGL, dobrze kombinuje ?
Nie mam go zainstalowanego i mam z tym problem, bo mój xgl jest z cvs i nie wiem skąd wziąć tam tego libGL. Jako tako speca go tam niema, a jeśli się coś dopisuje przy budowie to ja nie wiem co w takim razie =).
Jak to z tym jest ?

Jak lookałem w googlasach, to tam coś jest o tym błędzie, tyle że tam urzywają komend niedziałających na PLD =].
Np.
Kod:

emerge -v /usr/portage/x11-base/xorg-server/xorg-server-1.1.1-r4.ebuild


Ona chyba coś przebudowuje ale nie jestem pewien.

uwaga zgaduje, bo jeszcze nie bralem sie za xgl
Kod:
./builder xorg-xserver-xgl --with libGL


co do utf to ja mam tak:
/etc/sysconfig/i18n
Kod:
# $Id: i18n 7000 2006-02-23 10:32:36Z glen $
# known, working solution
#LANG=pl_PL

# If you feel brave, or don't ever plan to use text console
# you can set locale to unicode
#LANG=en_US.UTF-8
LANG=pl_PL
SUPPORTED_LOCALES="pl_PL.UTF-8/UTF-8 pl_PL/ISO-8859-2 en_GB/ISO-8859-1 en_US/ISO-8859-1"

# list of supported locales
#SUPPORTED_LOCALES="pl_PL.UTF-8/UTF-8 pl_PL/ISO-8859-2 de_DE/ISO-8859-2 en_GB/ISO-8859-1 en_US/ISO-8859-1"

Tak bylo domyslnie, wiec nie zmienialem. Chyba trzeba bylo dokomentowac tylko. W kazdym razie generuje utf8 i iso ( swoja droga nie wiedzialem, ze mozna miec rozne kodowania znakow tego samego jezyka :| )
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 19 Lipiec 2007, 11:22   

No tak, zapomniałem o with =].
Ale to i tak za bardzo chodzić nie chce, pod koniec kompilacji dostaje buga ze potrzebuje Mesa-libGL (a konkretnie to pliku z tej instalacji /usr/lib/libGL.so), a on się natomiast gryzie z moimi sterami xorg-driver-video-fglrx.

Może gdybym ręcznie od kogoś wrzucił ten plik by poszło... a może niech ktoś jak może zbuduje ten pakiet i mi podeśle jak może. (adi-mistrzu@o2.pl)
 
 
 
52aqir 


Pomógł: 18 razy
Dołączył: 16 Sie 2006
Posty: 161
Skąd: Kraków
Wysłany: 19 Lipiec 2007, 11:26   

ADI-mistrzu napisał/a:
No tak, zapomniałem o with =].
Ale to i tak za bardzo chodzić nie chce, pod koniec kompilacji dostaje buga ze potrzebuje Mesa-libGL (a konkretnie to pliku z tej instalacji /usr/lib/libGL.so), a on się natomiast gryzie z moimi sterami xorg-driver-video-fglrx.

Może gdybym ręcznie od kogoś wrzucił ten plik by poszło... a może niech ktoś jak może zbuduje ten pakiet i mi podeśle jak może. (adi-mistrzu@o2.pl)


dlatego na czas budowania xgl wywalilem stery od grafiki i zainstalowalem mese :) jak uruchomie xgl to postaram sie skrobnac co trzeba zrobic.. a jak nie uruchomie to poczekam na sterowniki wspierajace aiglx :P A zbudowanie --with libGL nie dalo mi paczki xorg-xserver-xgl-libGL ale moze nei jest potrzebna ;) sie okaze
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 19 Lipiec 2007, 11:33   

Nie kumam, czemu wtedy chodziło a teraz nie =/.
Wkurzę się w końcu, usiądę i zrobię reinstale sysa =].
 
 
 
croolyc 
zajonc trejn


Pomógł: 25 razy
Dołączył: 06 Lip 2005
Posty: 985
Skąd: Polanów
Wysłany: 19 Lipiec 2007, 23:17   

mi tez pada 3d na xgl ale wystarcze restart X i jest ok
_________________
PLD - Punk Linux Distro
Underground Out Of Poland
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 19 Lipiec 2007, 23:19   

A mi nie, w ogóle nic nie pomaga =(.
Dlaczego to w ogóle przestało działać nie rozumiem. Co to w ogóle za błąd jest z tym libGL. Wydaje mi się ze do *-xgl jest potrzebne jeszcze *-xgl-libGL tak jak normalnie jest w poldku. Da to się jakoś zbudować ? Bo normalnie w specach niema tego.

croolyc wywala Ci jakieś błędy czcionek, jezyka czy cos tam przy próbie załadowania managera beryla ? tam gdzie masz te wszystkie opcje. Jak nie to podeślij tutaj swój /etc/sysconfig/i18n =).
 
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 20 Lipiec 2007, 05:11   

Spróbuj czy pomoże ci zmiana w /etc/sysconfig/i18n
LANG=pl_PL --> LANG=pl_PL.UTF-8
_________________
Krystian T.
"Errare humanum est."
 
 
croolyc 
zajonc trejn


Pomógł: 25 razy
Dołączył: 06 Lip 2005
Posty: 985
Skąd: Polanów
Wysłany: 20 Lipiec 2007, 11:33   

ADI-mistrzu napisał/a:
Wydaje mi się ze do *-xgl jest potrzebne jeszcze *-xgl-libGL

a budowaleś nowy xorg-xserver-xgl ???
tam libGL jest w --with
ja budowałem bez tego i działa

co do fontów to w berylu nie mam polskich ogonków
Kod:
cat /etc/sysconfig/i18n
LANG=pl_PL
#LANG=pl_PL.UTF-8
SUPPORTED_LOCALES="pl_PL/ISO-8859-2 pl_PL.UTF-8/UTF-8 en_US/ISO-8859-1"


Kod:
$beryl-manager
** (beryl-manager:4211): WARNING **: Brak pidof, może nie działać poprawnie.

** (beryl-manager:4211): WARNING **: Brak pidof, może nie działać poprawnie.

** (beryl-manager:4211): WARNING **: Brak pidof, może nie działać poprawnie.

** (beryl-manager:4211): WARNING **: Brak pidof, może nie działać poprawnie.
No window manager. Waiting...
No window manager. Waiting...
**************************************************************
* Beryl system compatiblity check                            *
**************************************************************

Detected xserver                                : XGL

Checking Display :0 ...

Checking for XComposite extension               : passed (v0.4)
Checking for XDamage extension                  : passed
Checking for RandR extension                    : passed
Checking for XSync extension                    : passed

New Window Manager
Window Manager "beryl"
New Window Manager
Window Manager "beryl"
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
QImage::smoothScale: Image is a null image
Reloading options
_________________
PLD - Punk Linux Distro
Underground Out Of Poland
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 20 Lipiec 2007, 22:01   

Wiesz, gdybym nie miał polskich ogonków to bym nie narzekał, ale ja mam tak, że jak jakiś wyraz ma polski znak to wywala całkowicie ten wyraz i ciężko mi konfigurować go z obrazków i suwaków, niewidząc podpisów =].
 
 
 
croolyc 
zajonc trejn


Pomógł: 25 razy
Dołączył: 06 Lip 2005
Posty: 985
Skąd: Polanów
Wysłany: 21 Lipiec 2007, 23:14   

w sumie o berylu można już zapomnieć
tu opis i tu filmik
czekam na toto w pld :D
_________________
PLD - Punk Linux Distro
Underground Out Of Poland
 
 
 
ADI-mistrzu 


Distro: Titanium
Dołączył: 19 Paź 2005
Posty: 345
Skąd: Legionowo
Wysłany: 22 Lipiec 2007, 00:47   

Mmmm... Taki ładnie poprawiony BERYL =). To jest już ogółem ?
Jak tak to może spróbujemy na PLD uruchomić =D ?
http://gitweb.opencompositing.org/
Ten link jest do źródeł ? Jak nie to gdzie jest Fusion do pobrania =) ?

A gdzie w berylku się ustawia wielkość kostki ? Tzn oddalenie, bo ja nie mam większości podpisanej i ciężko po omacku się szuka =).
 
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group